Bug 483202 - [ml_IN] Malayalam collation/sorting order is not defined in glibc
Summary: [ml_IN] Malayalam collation/sorting order is not defined in glibc
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-01-30 07:16 UTC by Ani Peter
Modified: 2016-11-24 12:03 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-17 04:44:39 UTC


Attachments (Terms of Use)
patch for Malayalam(ml_IN) Collation (13.08 KB, patch)
2009-02-02 13:48 UTC, Santhosh Thottingal
no flags Details | Diff
input file for testing (243 bytes, text/plain)
2009-02-03 04:39 UTC, Pravin Satpute
no flags Details
sorting result for test_sort_1 file (243 bytes, text/plain)
2009-02-03 04:44 UTC, Pravin Satpute
no flags Details

Description Ani Peter 2009-01-30 07:16:10 UTC
Description of problem:
Malayalam sort order is not defined in
/usr/share/i18n/locales/iso14651_t1_common


Version-Release number of selected component (if applicable):
glibc-2.9.90-2

How reproducible:
every time

Steps to Reproduce:
1.check file //usr/share/i18n/locales/iso14651_t1_common

Actual results:
Malayalam sort order is required.

Expected results:


Additional info:

Comment 1 Pravin Satpute 2009-02-02 06:26:12 UTC
Thanks ani for filing bug,
I had a nice discussion with Santhosh (from SMC Group) in foss.in, we tried to resolve some peculiar problem of Malayalam language sorting.
He is working on that  i recenlty reviewed his collation data for malayalam and it was doing sorting perfect with some minor typo mistake, Still santhosh is trying to improve it further 
I think soon he will submit patch for it.

Comment 2 Santhosh Thottingal 2009-02-02 13:48:50 UTC
Created attachment 330625 [details]
patch for Malayalam(ml_IN) Collation

Comment 3 Santhosh Thottingal 2009-02-02 13:53:46 UTC
Attached the patch(https://bugzilla.redhat.com/attachment.cgi?id=330625) for  iso14651_t1_common with the collation rules for Malayalam( ml_IN)
patch is created against glibc-20090108T1017.tar.bz2

Comment 4 Pravin Satpute 2009-02-03 04:38:11 UTC
santhosh nice work
tested patch working fine

Comment 5 Pravin Satpute 2009-02-03 04:39:04 UTC
Created attachment 330709 [details]
input file for testing

Comment 6 Pravin Satpute 2009-02-03 04:44:46 UTC
Created attachment 330710 [details]
sorting result for test_sort_1 file

Comment 7 Ulrich Drepper 2009-02-11 15:43:06 UTC
The patch is upstream.

Comment 8 Pravin Satpute 2009-02-17 04:44:39 UTC
Thanks for applying patch to Upstream


Note You need to log in before you can comment on or make changes to this bug.